gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.EnumClass

Contents

- Exported types
- Methods
- Properties
  - gTypeClass
  - maximum
  - minimum
  - nValues

Description

The class of an enumeration type holds information about its possible values.

Synopsis

- newtype EnumClass = EnumClass (ManagedPtr EnumClass)
- newZeroEnumClass :: MonadIO m => m EnumClass
- getEnumClassGTypeClass :: MonadIO m => EnumClass -> m TypeClass
- getEnumClassMaximum :: MonadIO m => EnumClass -> m Int32
- setEnumClassMaximum :: MonadIO m => EnumClass -> Int32 -> m ()
- getEnumClassMinimum :: MonadIO m => EnumClass -> m Int32
- setEnumClassMinimum :: MonadIO m => EnumClass -> Int32 -> m ()
- getEnumClassNValues :: MonadIO m => EnumClass -> m Word32
- setEnumClassNValues :: MonadIO m => EnumClass -> Word32 -> m ()

# Exported types

newtype EnumClass Source #

Memory-managed wrapper type.

Constructors

EnumClass (ManagedPtr EnumClass) |

#### Instances

Instances details

Eq EnumClass Source # |
Instance details Defined in GI.GObject.Structs.EnumClass Methods (==) :: EnumClass -> EnumClass -> Bool Source # (/=) :: EnumClass -> EnumClass -> Bool Source #
BoxedPtr EnumClass Source # |
Instance details Defined in GI.GObject.Structs.EnumClass Methods boxedPtrCopy :: EnumClass -> IO EnumClass Source # boxedPtrFree :: EnumClass -> IO () Source #
CallocPtr EnumClass Source # |
Instance details Defined in GI.GObject.Structs.EnumClass Methods boxedPtrCalloc :: IO (Ptr EnumClass) Source #
ManagedPtrNewtype EnumClass Source # |
Instance details Defined in GI.GObject.Structs.EnumClass Methods toManagedPtr :: EnumClass -> ManagedPtr EnumClass Source #
tag ~ 'AttrSet => Constructible EnumClass tag Source # |
Instance details Defined in GI.GObject.Structs.EnumClass Methods new :: MonadIO m => (ManagedPtr EnumClass -> EnumClass) -> [AttrOp EnumClass tag] -> m EnumClass Source #

newZeroEnumClass :: MonadIO m => m EnumClass Source #

Construct a `EnumClass` struct initialized to zero.

# Methods

# Properties

## gTypeClass

the parent class

getEnumClassGTypeClass :: MonadIO m => EnumClass -> m TypeClass Source #

Get the value of the “`g_type_class`” field. When overloading is enabled, this is equivalent to

    get enumClass #gTypeClass

## maximum

the largest possible value.

getEnumClassMaximum :: MonadIO m => EnumClass -> m Int32 Source #

Get the value of the “`maximum`” field. When overloading is enabled, this is equivalent to

    get enumClass #maximum

setEnumClassMaximum :: MonadIO m => EnumClass -> Int32 -> m () Source #

Set the value of the “`maximum`” field. When overloading is enabled, this is equivalent to

    set enumClass [ #maximum := value ]

## minimum

the smallest possible value.

getEnumClassMinimum :: MonadIO m => EnumClass -> m Int32 Source #

Get the value of the “`minimum`” field. When overloading is enabled, this is equivalent to

    get enumClass #minimum

setEnumClassMinimum :: MonadIO m => EnumClass -> Int32 -> m () Source #

Set the value of the “`minimum`” field. When overloading is enabled, this is equivalent to

    set enumClass [ #minimum := value ]

## nValues

the number of possible values.

getEnumClassNValues :: MonadIO m => EnumClass -> m Word32 Source #

Get the value of the “`n_values`” field. When overloading is enabled, this is equivalent to

    get enumClass #nValues

setEnumClassNValues :: MonadIO m => EnumClass -> Word32 -> m () Source #

Set the value of the “`n_values`” field. When overloading is enabled, this is equivalent to

    set enumClass [ #nValues := value ]